# frozen_string_literal: true

require 'spec_helper'

describe GetPdf do
  let(:options) { { content: '# Some markdown' } }
  let(:api_path) { '/render' }
  let(:response) do
    httparty_response \
      'filename' => 'filename.pdf',
      'binary_content' => 'binarycontent'
  end
  let(:session) { FactoryBot.build(:basic_auth_session) }

  before { allow(BasicAuthSession).to receive(:new).and_return session }

  it 'returns a respondent object' do
    expect(session).to receive(:post).with(api_path, options).and_return response
    result = GetPdf.run(options).result.parsed_response

    expect(result['filename']).to eq 'filename.pdf'
    expect(result['binary_content']).to eq 'binarycontent'
  end
end
